Switch to side-by-side view

--- a/ohbuild.sh
+++ b/ohbuild.sh
@@ -111,9 +111,9 @@
         https://github.com/openhome/ohdevtools.git \
         https://github.com/openhome/ohNetGenerated.git \
         https://github.com/openhome/ohTopology.git \
-        https://github.com/openhome/ohSongcast.git \
+        https://github.com/joerg-krause/ohSongcast.git \
         ; do
-        dir=`echo $rep | sed -e 's+https://github.com/openhome/++' \
+        dir=`echo $rep | sed -e 's+https://github.com/.*/++' \
             -e 's/\.git$//'`
         echo $dir
         test ! -d $dir && git clone $rep
@@ -121,8 +121,8 @@
 
 
     cd $topdir/ohNet
-    #  Mon Apr 24 15:23:27 2017
-    git checkout 1dd6411ffbe59fe09517162fb88e2405adb4990f || exit 1
+    #  ohNet_1.17.2857, Mon Feb 19 00:40:18 2018 +0000
+    git checkout 07831fe44c45ccde939ceaa4e99e46d2dbd2cf4e || exit 1
     git checkout Makefile
     # Note: the 'make: o: Command not found' errors originate in
     # common.mak and are due to variable t4 being undefined. t4 is
@@ -171,22 +171,6 @@
  ifeq ($(managed_only), yes)
  build_targets_base = make_obj_dir ohNet.net.dll CpProxyDotNetAssemblies DvDeviceDotNetAssemblies
  else
-EOF
-
-    git checkout OpenHome/TestFramework/OptionParser.cpp
-    patch -p1 << "EOF"
-diff --git a/OpenHome/TestFramework/OptionParser.cpp b/OpenHome/TestFramework/OptionParser.cpp
-index fe90233..644fc0b 100644
---- a/OpenHome/TestFramework/OptionParser.cpp
-+++ b/OpenHome/TestFramework/OptionParser.cpp
-@@ -282,7 +282,7 @@ void OptionParser::SetUsage(const TChar* aUsage)
- {
-     delete iUsage;
-     iUsage = NULL;
--    iUsage = new TChar[strlen(iUsage)];
-+    iUsage = new TChar[strlen(aUsage)];
-     (void)strcpy(iUsage, aUsage);
- }
 EOF
 
     cd  $topdir/ohNetGenerated
@@ -256,8 +240,8 @@
     git checkout cc09c09da4be8d3d04adae5b8f0daaf8450906a3 || exit 1
 
     cd  $topdir/ohSongcast
-    # Tue Oct 18 08:34:33 2016 +0100
-    git checkout 3299eaedfea34993b79e6d30444792d4fb12a110 || exit 1
+    # Wed May 30 15:56:56 2018 +0200
+    git checkout c1cb53cce61e727b6096fc38d921802352b9f66b || exit 1
 }
 
 make_tarfile()
@@ -360,7 +344,7 @@
     echo;echo building $dir
     cd  $topdir/$dir || exit 1
 
-    make release=1 Receiver WavSender
+    make release=1 library_static
 }
 
 official_way()